## org.eclipse.emf.compare.ui.viewer.content.part
Interface IModelContentMergeViewerTab

All Known Implementing Classes:
  ModelContentMergeDiffTab, ModelContentMergePropertyTab

    public interface IModelContentMergeViewerTab

Represents a tab that will be placed in a `ModelContentMergeTabFolder`.

Method Summary
`void` `addSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)` Registers a selection listener on the tab's Control.
`void` `dispose()` Disposes of all resources allocated this tab.
`org.eclipse.swt.widgets.Control` `getControl()` Returns the Control displayed by the tab.
`java.util.List<? extends org.eclipse.swt.widgets.Item>` `getSelectedElements()` Returns the tab's selection as a list of Items.
`ModelContentMergeTabItem` `getUIItem(org.eclipse.emf.ecore.EObject data)` This will be used when drawing the center part's marquees.
`java.util.List<ModelContentMergeTabItem>` `getVisibleElements()` Returns the tab's visible elements as a list of Items.
`void` `redraw()` Redraws the Control displayed by the tab.
`void` `setReflectiveInput(java.lang.Object input)` Sets the input of the tab.
`void` `showItems(java.util.List<DiffElement> items)` Ensures the given List of items is made visible in the tab's Control client area.

Method Detail

### addSelectionChangedListener

    void addSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)

  Registers a selection listener on the tab's Control.

  Parameters:
    `listener` - Listener which to register on the Control.

### dispose

    void dispose()

  Disposes of all resources allocated this tab.

### getControl

    org.eclipse.swt.widgets.Control getControl()

  Returns the Control displayed by the tab.

  Returns:
    The tab's Control.

### getSelectedElements

    java.util.List<? extends org.eclipse.swt.widgets.Item> getSelectedElements()

  Returns the tab's selection as a list of Items.

  Returns:
    The tab's selection as a list of Items.

### getUIItem

    ModelContentMergeTabItem getUIItem(org.eclipse.emf.ecore.EObject data)

  This will be used when drawing the center part's marquees.

  Parameters:
    `data` - The data for which we need UI variables for.
  Returns:
    List of items corresponding to the given data, wrapped along with UI information.

### getVisibleElements

    java.util.List<ModelContentMergeTabItem> getVisibleElements()

  Returns the tab's visible elements as a list of Items.

  Elements are deemed visible if they are currently in the client area of the tab's Control.

  Returns:
    List of the tab's visible elements.

### redraw

    void redraw()

  Redraws the Control displayed by the tab.

### setReflectiveInput

    void setReflectiveInput(java.lang.Object input)

  Sets the input of the tab.

  This is often implemented by redirecting to the tab's "setInput(Object)" method.

  Parameters:
    `input` - New input of the tab's viewer.

### showItems

    void showItems(java.util.List<DiffElement> items)

  Ensures the given List of items is made visible in the tab's Control client area.

  Parameters:
    `items` - List of the items ot make visible.

Copyright 2006 IBM Corporation and others. All Rights Reserved.